Get Catalog - Get Catalog

Get the regions and skus that are available for RI purchase for the specified Azure subscription.

GET https://management.azure.com/subscriptions/{subscriptionId}/providers/Microsoft.Capacity/catalogs?api-version=2022-11-01
GET https://management.azure.com/subscriptions/{subscriptionId}/providers/Microsoft.Capacity/catalogs?api-version=2022-11-01&reservedResourceType={reservedResourceType}&location={location}&publisherId={publisherId}&offerId={offerId}&planId={planId}&$filter={$filter}&$skip={$skip}&$take={$take}

URI Parameters

Name In Required Type Description
subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

$filter
query

string

May be used to filter by Catalog properties. The filter supports 'eq', 'or', and 'and'.

$skip
query

number (float)

The number of reservations to skip from the list before returning results

$take
query

number (float)

To number of reservations to return

location
query

string

Filters the skus based on the location specified in this parameter. This can be an azure region or global

offerId
query

string

Offer id used to get the third party products

planId
query

string

Plan id used to get the third party products

publisherId
query

string

Publisher id used to get the third party products

reservedResourceType
query

string

The type of the resource for which the skus should be provided.

Responses

Name Type Description
200 OK

CatalogsResult

Azure operation completed successfully.

Other Status Codes

Error

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

Catalog

Sample request

GET https://management.azure.com/subscriptions/23bc208b-083f-4901-ae85-4f98c0c3b4b6/providers/Microsoft.Capacity/catalogs?api-version=2022-11-01&reservedResourceType=VirtualMachines&location=eastus

Sample response

{
  "nextLink": "https://management.azure.com/providers/Microsoft.Capacity/reservationOrders?api-version=2022-11-01&$filter=(term%20eq%20'P1Y')&$take=50&$skip=50",
  "totalItems": 1000,
  "value": [
    {
      "name": "Standard_DS5_v2",
      "billingPlans": {
        "P1Y": [
          "Upfront",
          "Monthly"
        ],
        "P3Y": [
          "Upfront",
          "Monthly"
        ]
      },
      "locations": [
        "eastus"
      ],
      "resourceType": "VirtualMachines",
      "restrictions": [],
      "skuProperties": [
        {
          "name": "Cores",
          "value": "16"
        },
        {
          "name": "ProductTitle",
          "value": "DSv2 Series, DS5"
        },
        {
          "name": "ProductShortName",
          "value": "DSv2 Series"
        },
        {
          "name": "SKUName",
          "value": "DS5 v2"
        },
        {
          "name": "MeterId",
          "value": "12bc208b-083f-4901-ae85-4f98c0c3b4b8"
        }
      ],
      "terms": [
        "P1Y",
        "P3Y"
      ]
    },
    {
      "name": "Standard_D1",
      "billingPlans": {
        "P1Y": [
          "Upfront",
          "Monthly"
        ],
        "P3Y": [
          "Upfront",
          "Monthly"
        ]
      },
      "locations": [
        "eastus"
      ],
      "resourceType": "VirtualMachines",
      "restrictions": [
        {
          "type": "Term",
          "reasonCode": "NotAvailableForSubscription",
          "values": [
            "P1Y"
          ]
        },
        {
          "type": "Term",
          "reasonCode": "NotAvailableForSubscription",
          "values": [
            "P3Y"
          ]
        }
      ],
      "skuProperties": [
        {
          "name": "Cores",
          "value": "1"
        },
        {
          "name": "ProductTitle",
          "value": "D Series, D1"
        },
        {
          "name": "ProductShortName",
          "value": "D Series"
        },
        {
          "name": "SKUName",
          "value": "D1"
        },
        {
          "name": "MeterId",
          "value": "12bc208b-083f-4901-ae85-4f98c0c3b4b8"
        }
      ],
      "terms": [
        "P1Y",
        "P3Y"
      ]
    },
    {
      "name": "Standard_F2",
      "billingPlans": {
        "P1Y": [
          "Upfront",
          "Monthly"
        ],
        "P3Y": [
          "Upfront",
          "Monthly"
        ]
      },
      "locations": [
        "eastus"
      ],
      "resourceType": "VirtualMachines",
      "restrictions": [
        {
          "type": "Location",
          "reasonCode": "NotAvailableForSubscription",
          "values": [
            "eastus"
          ]
        }
      ],
      "skuProperties": [
        {
          "name": "Cores",
          "value": "2"
        },
        {
          "name": "ProductTitle",
          "value": "F Series, F2"
        },
        {
          "name": "ProductShortName",
          "value": "F Series"
        },
        {
          "name": "SKUName",
          "value": "F2"
        },
        {
          "name": "MeterId",
          "value": "12bc208b-083f-4901-ae85-4f98c0c3b4b8"
        }
      ],
      "terms": [
        "P1Y",
        "P3Y"
      ]
    }
  ]
}

Definitions

Name Description
Catalog

Product details of a type of resource.

CatalogMsrp

Pricing information about the sku

CatalogsResult

The list of catalogs and pagination information.

Error

Error information

ErrorResponseCode

Error code describing the reason that service is not able to process the incoming request

ExtendedErrorInfo

Extended error information including error code and error message

Price

Pricing information containing the amount and the currency code

ReservationTerm

Represent the term of reservation.

SkuCapability

Capability of a sku.

SkuProperty

Property of a sku.

SkuRestriction

Restriction of a sku.

Catalog

Product details of a type of resource.

Name Type Description
billingPlans

object

The billing plan options available for this sku.

capabilities

SkuCapability[]

Capability of a sku.

locations

string[]

msrp

CatalogMsrp

Pricing information about the sku

name

string

The name of sku

resourceType

string

The type of resource the sku applies to.

restrictions

SkuRestriction[]

Restriction of a sku.

size

string

The size of this sku

skuProperties

SkuProperty[]

Property of a sku.

terms

ReservationTerm[]

Available reservation terms for this resource

tier

string

The tier of this sku

CatalogMsrp

Pricing information about the sku

Name Type Description
p1Y

Price

Amount in pricing currency. Tax not included.

p3Y

Price

Amount in pricing currency. Tax not included.

p5Y

Price

Amount in pricing currency. Tax not included.

CatalogsResult

The list of catalogs and pagination information.

Name Type Description
nextLink

string (uri)

The link to the next page of items

totalItems

integer (int64)

The total amount of catalog items.

value

Catalog[]

The Catalog items on this page

Error

Error information

Name Type Description
error

ExtendedErrorInfo

Extended error information including error code and error message

ErrorResponseCode

Error code describing the reason that service is not able to process the incoming request

Value Description
NotSpecified

NotSpecified

InternalServerError

InternalServerError

ServerTimeout

ServerTimeout

AuthorizationFailed

AuthorizationFailed

BadRequest

BadRequest

ClientCertificateThumbprintNotSet

ClientCertificateThumbprintNotSet

InvalidRequestContent

InvalidRequestContent

OperationFailed

OperationFailed

HttpMethodNotSupported

HttpMethodNotSupported

InvalidRequestUri

InvalidRequestUri

MissingTenantId

MissingTenantId

InvalidTenantId

InvalidTenantId

InvalidReservationOrderId

InvalidReservationOrderId

InvalidReservationId

InvalidReservationId

ReservationIdNotInReservationOrder

ReservationIdNotInReservationOrder

ReservationOrderNotFound

ReservationOrderNotFound

InvalidSubscriptionId

InvalidSubscriptionId

InvalidAccessToken

InvalidAccessToken

InvalidLocationId

InvalidLocationId

UnauthenticatedRequestsThrottled

UnauthenticatedRequestsThrottled

InvalidHealthCheckType

InvalidHealthCheckType

Forbidden

Forbidden

BillingScopeIdCannotBeChanged

BillingScopeIdCannotBeChanged

AppliedScopesNotAssociatedWithCommerceAccount

AppliedScopesNotAssociatedWithCommerceAccount

PatchValuesSameAsExisting

PatchValuesSameAsExisting

RoleAssignmentCreationFailed

RoleAssignmentCreationFailed

ReservationOrderCreationFailed

ReservationOrderCreationFailed

ReservationOrderNotEnabled

ReservationOrderNotEnabled

CapacityUpdateScopesFailed

CapacityUpdateScopesFailed

UnsupportedReservationTerm

UnsupportedReservationTerm

ReservationOrderIdAlreadyExists

ReservationOrderIdAlreadyExists

RiskCheckFailed

RiskCheckFailed

CreateQuoteFailed

CreateQuoteFailed

ActivateQuoteFailed

ActivateQuoteFailed

NonsupportedAccountId

NonsupportedAccountId

PaymentInstrumentNotFound

PaymentInstrumentNotFound

MissingAppliedScopesForSingle

MissingAppliedScopesForSingle

NoValidReservationsToReRate

NoValidReservationsToReRate

ReRateOnlyAllowedForEA

ReRateOnlyAllowedForEA

OperationCannotBePerformedInCurrentState

OperationCannotBePerformedInCurrentState

InvalidSingleAppliedScopesCount

InvalidSingleAppliedScopesCount

InvalidFulfillmentRequestParameters

InvalidFulfillmentRequestParameters

NotSupportedCountry

NotSupportedCountry

InvalidRefundQuantity

InvalidRefundQuantity

PurchaseError

PurchaseError

BillingCustomerInputError

BillingCustomerInputError

BillingPaymentInstrumentSoftError

BillingPaymentInstrumentSoftError

BillingPaymentInstrumentHardError

BillingPaymentInstrumentHardError

BillingTransientError

BillingTransientError

BillingError

BillingError

FulfillmentConfigurationError

FulfillmentConfigurationError

FulfillmentOutOfStockError

FulfillmentOutOfStockError

FulfillmentTransientError

FulfillmentTransientError

FulfillmentError

FulfillmentError

CalculatePriceFailed

CalculatePriceFailed

AppliedScopesSameAsExisting

AppliedScopesSameAsExisting

SelfServiceRefundNotSupported

SelfServiceRefundNotSupported

RefundLimitExceeded

RefundLimitExceeded

ExtendedErrorInfo

Extended error information including error code and error message

Name Type Description
code

ErrorResponseCode

Error code describing the reason that service is not able to process the incoming request

message

string

Price

Pricing information containing the amount and the currency code

Name Type Description
amount

number (double)

currencyCode

string

The ISO 4217 3-letter currency code for the currency used by this purchase record.

ReservationTerm

Represent the term of reservation.

Value Description
P1Y

P1Y

P3Y

P3Y

P5Y

P5Y

SkuCapability

Capability of a sku.

Name Type Description
name

string

An invariant to describe the feature.

value

string

An invariant if the feature is measured by quantity.

SkuProperty

Property of a sku.

Name Type Description
name

string

An invariant to describe the feature.

value

string

An invariant if the feature is measured by quantity.

SkuRestriction

Restriction of a sku.

Name Type Description
reasonCode

string

The reason for restriction.

type

string

The type of restrictions.

values

string[]

The value of restrictions. If the restriction type is set to location. This would be different locations where the sku is restricted.